Campaign Details
curl --request POST \
--url https://app.luly.ai/api/v1/campaigns/{id} \
--header 'authorization: <authorization>'import requests
url = "https://app.luly.ai/api/v1/campaigns/{id}"
headers = {"authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {authorization: '<authorization>'}};
fetch('https://app.luly.ai/api/v1/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
 {
"status": "success",
"count": 784,
"campaigns": [
{
"id": "8ba8f14f-b8ad-aaaa-bbbb-f8860dfb03d7",
"campaign_name": "EXAMPLE",
"created_at": "2024-07-23T16:47:30.622391+00:00",
"request_data": {
"language": "en-US",
"model": "enhanced",
"webhook": "",
"wait_for_greeting": true,
"record": true,
"interruption_threshold": "80",
"temperature": "0.3",
"voice": "June",
"max_duration": "30",
"request_data": {},
"sms": null,
"analysis_schema": []
},
"sequences": [
{
"seqId": "seq_2523f92lbdf",
"step": 0,
"type": "send_call",
"task": "",
"start_time": null,
"pathway": [
{
"value": "3e5ce584-50d8-aaaa-bbbb-d6b05f4b1db5",
"label": "Example"
}
]
}
],
"campaign_config": {
"stop_when_answer": true,
"auto_mark_complete": true
},
"campaign_state": "active",
"phone_number": "+11233214444",
"curr_seq": "seq_2523f92ldfkdjf",
"campaign_id": "01e4b3ce-e216-aaaa-bbbb-9ac5ac3b87d0"
},
//... Additional campaign objects
]
}
Campaigns
Campaign Details
Returns specific campaign with all associated calls within campaign.
POST
/
v1
/
campaigns
/
{id}
Campaign Details
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The unique identifier of the campaign for which you want to retrieve detailed information.
Response
integer
The number of campaigns returned in the response.
{
"status": "success",
"count": 784,
"campaigns": [
{
"id": "8ba8f14f-b8ad-aaaa-bbbb-f8860dfb03d7",
"campaign_name": "EXAMPLE",
"created_at": "2024-07-23T16:47:30.622391+00:00",
"request_data": {
"language": "en-US",
"model": "enhanced",
"webhook": "",
"wait_for_greeting": true,
"record": true,
"interruption_threshold": "80",
"temperature": "0.3",
"voice": "June",
"max_duration": "30",
"request_data": {},
"sms": null,
"analysis_schema": []
},
"sequences": [
{
"seqId": "seq_2523f92lbdf",
"step": 0,
"type": "send_call",
"task": "",
"start_time": null,
"pathway": [
{
"value": "3e5ce584-50d8-aaaa-bbbb-d6b05f4b1db5",
"label": "Example"
}
]
}
],
"campaign_config": {
"stop_when_answer": true,
"auto_mark_complete": true
},
"campaign_state": "active",
"phone_number": "+11233214444",
"curr_seq": "seq_2523f92ldfkdjf",
"campaign_id": "01e4b3ce-e216-aaaa-bbbb-9ac5ac3b87d0"
},
//... Additional campaign objects
]
}
⌘I